[Unit]
Description=CPD3 hourly tasks
After=network.target

[Service]
Type=oneshot
User=cpd3-acquisition
Group=cpd3-acquisition
Environment=CPD3_DISABLEXVFB=1
EnvironmentFile=/etc/default/cpd3-acquisition
ExecStartPre=sh -c 'systemctl list-jobs --state=waiting cpd3-daily.service | grep -q cpd3-daily.service && exit 75; exit 0'
ExecStart=xvfb-run -a /usr/bin/da.tasks --priority=2000
TimeoutSec=900